httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@hyperreal.org
Subject cvs commit: apache-1.3/src CHANGES Configure
Date Thu, 10 Sep 1998 08:58:44 GMT
rse         98/09/10 01:58:44

  Modified:    src      CHANGES Configure
  Log:
  Add some more LIBS for the SCO5 platform which are needed for the already
  used -lprot. It's actually a bug in SCO5, of course.
  
  The background is this feedback from R.Record after I replied to him:
  ``Third, i still find the addition of "-lx -ltinfo -lm" to be necessary on
  OpenServer. It's no doubt a bug or at least incorrectly documented, but any
  time -lprot is used you also need -lx and -ltinfo to get nap(), cur_term(),
  setup_term() and others. I've informed our development system guys and this
  may be fixed in a later release but for now these libs are necessary. FYI,
  libx is the SCO Xenix enhancements which have been carried forward since time
  immemorial while libtinfo is the terminfo library. It looks like libprot is
  supposed to setup its own curses stuff but isn't built correctly''
  
  BTW, the following he also mentioned:
  ``First, a kernel bug in OpenServer 5.0.0 and 5.0.2 made it necessary to build
  Apache with USE_FCNTL_SERIALIZED_ACCEPT.  That bug was fixed in 5.0.4 and a
  patch made available for 5.0.0/5.0.2 systems. Further, i have created an
  installation script which detects what release you are installing on and
  whether you need to apply the "Network Maintenance Supplement".  Therefore, i
  can now build Apache without the USE_FCNTL_SERIALIZED_ACCEPT which gets me
  much better performance.  So, as long as you get Apache for OpenServer from
  _me_ (that is, the SCO Skunkware CD-ROM or web site), you're ok. If you build
  it yourself, you'd better know whether you need to apply the appropriate
  support supplement.''
  
  But I still think it's not really good to remove the
  USE_FCNTL_SERIALIZED_ACCEPT. The only correct solution would be to dispatch
  for 5.0.0 and 5.0.2 and avoid it only for >= 5.0.4.
  
  Submitted by: Ronald Record <rr@sco.com>
  PR: 2533
  
  Revision  Changes    Path
  1.1053    +4 -0      apache-1.3/src/CHANGES
  
  Index: CHANGES
  ===================================================================
  RCS file: /export/home/cvs/apache-1.3/src/CHANGES,v
  retrieving revision 1.1052
  retrieving revision 1.1053
  diff -u -r1.1052 -r1.1053
  --- CHANGES	1998/09/10 07:40:45	1.1052
  +++ CHANGES	1998/09/10 08:58:40	1.1053
  @@ -1,5 +1,9 @@
   Changes with Apache 1.3.2
   
  +  *) Add some more LIBS for the SCO5 platform which are needed for the already
  +     used -lprot. It's actually a bug in SCO5, of course.
  +     [Ronald Record <rr@sco.com>] PR#2533
  +
     *) Fix documentation of ProxyPass/ProxyPassReverse according to the
        trailing slash problem. [Jon Drukman <jsd@gamespot.com>] PR#2933
     
  
  
  
  1.287     +1 -1      apache-1.3/src/Configure
  
  Index: Configure
  ===================================================================
  RCS file: /export/home/cvs/apache-1.3/src/Configure,v
  retrieving revision 1.286
  retrieving revision 1.287
  diff -u -r1.286 -r1.287
  --- Configure	1998/09/10 07:16:33	1.286
  +++ Configure	1998/09/10 08:58:42	1.287
  @@ -532,7 +532,7 @@
       *-sco5*)
   	OS='SCO 5'
   	CFLAGS="$CFLAGS -DSCO5"
  -	LIBS="$LIBS -lsocket -lmalloc -lprot"
  +	LIBS="$LIBS -lsocket -lmalloc -lprot -ltinfo -lx -lm"
   	DEF_WANTHSREGEX=no
   	;;
       *-sco_sv*|*-SCO_SV*)
  
  
  

Mime
View raw message